#ifndef POWERSHIELD_H
#define POWERSHIELD_H
#include <inttypes.h>

#define PINPWMH     9
#define PINPWML     6
#define PINPHASE    5
#define PINSR       7
#define PINFF1      4
#define PINFF2      2
#define PINANALOGIN A5

#define FORWARD     1
#define BACKWARD    2
#define BRAKE       3
#define RELEASE     4

#define PWMH        PINPWMH
#define PWML        PINPWML
#define PWMPHASE    PINPHASE

class MT_DCPowerMotor
{
  public:
    MT_DCPowerMotor(uint8_t pwmmode);
    void run(uint8_t state);
    void setSpeed(uint8_t speed);
    void apply();
    void setPwmFrequency(int, int);
    float getI(int);
  private:
    uint8_t pwmmode;
    uint8_t state;
    uint8_t speed;
};

#endif
